View Issue Details

IDProjectCategoryView StatusLast Update
0020649LazarusLazReportpublic2012-02-05 15:57
ReporterChristianAssigned ToJesus Reyes 
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version0.9.30.3 (SVN)Product Build 
Target VersionFixed in Version0.9.31 (SVN) 
Summary0020649: Lazreport FontSizes wrong in GTK2
DescriptionFont Sizes in GTK2 are much bigger than in Win32 i think its broken by revision
33392 in lr_class.pas line 2489 (just an idea)
Maybe PixelsPerInch is diffrent for Forms and PDF in GTK2 than 96 so the Font sizes are also wrong. In Win32 in Preview and printed Documents its ok. in GTK Preview and PDF export its not ok.
I think the fixed 96 pixels per inch are correcter than using the Canvas value for Lazreport.
TagsNo tags attached.
Fixed in Revision33462
LazTarget0.99.0
WidgetsetGTK 2
Attached Files

Activities

Jesus Reyes

2011-11-08 22:26

developer   ~0053940

Last edited: 2011-11-08 22:27

Have you tried to change the value to 96 dpi and that fixes the problem? if not please try it and report back the result.

Christian

2011-11-09 06:42

reporter   ~0053945

Yes it fixes the problem !

Jesus Reyes

2011-11-10 19:23

developer   ~0053986

reverted it should work as before, please test.

Issue History

Date Modified Username Field Change
2011-11-08 12:04 Christian New Issue
2011-11-08 12:04 Christian Widgetset => GTK 2
2011-11-08 22:23 Jesus Reyes Status new => assigned
2011-11-08 22:23 Jesus Reyes Assigned To => Jesus Reyes
2011-11-08 22:26 Jesus Reyes LazTarget => -
2011-11-08 22:26 Jesus Reyes Note Added: 0053940
2011-11-08 22:26 Jesus Reyes Status assigned => feedback
2011-11-08 22:27 Jesus Reyes Note Edited: 0053940
2011-11-09 06:42 Christian Note Added: 0053945
2011-11-10 19:23 Jesus Reyes Fixed in Revision => 33462
2011-11-10 19:23 Jesus Reyes LazTarget - => 0.99.0
2011-11-10 19:23 Jesus Reyes Status feedback => resolved
2011-11-10 19:23 Jesus Reyes Fixed in Version => 0.9.31 (SVN)
2011-11-10 19:23 Jesus Reyes Resolution open => fixed
2011-11-10 19:23 Jesus Reyes Note Added: 0053986
2011-11-10 19:23 Jesus Reyes Target Version => 0.99.0
2012-02-05 15:57 Christian Status resolved => closed